Skip to main content
GET
/
v1
/
actions
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "id": "act_M4qT8YH7xW2pL9nB",
      "status": "pending",
      "url": "<string>",
      "method": "GET",
      "attempts": 1,
      "retries": 50,
      "created_at": "2023-11-07T05:31:56Z",
      "approve": true,
      "body": {},
      "headers": {},
      "dedupe": "<string>",
      "started_at": "2023-11-07T05:31:56Z",
      "finished_at": "2023-11-07T05:31:56Z",
      "next_retry_at": "2023-11-07T05:31:56Z",
      "last_error": "<string>",
      "response_code": 123,
      "response_body": null,
      "duration_ms": 123,
      "approved_at": "2023-11-07T05:31:56Z",
      "approved_by": "<string>",
      "callback": "<string>",
      "idempotency_key": "<string>",
      "retries_remaining": 1,
      "next_retry_in_seconds": 1,
      "actions": [
        "approve"
      ],
      "error": {
        "source": "target",
        "message": "<string>",
        "response_code": 123,
        "response_body": "<unknown>"
      },
      "receipt_url": "<string>",
      "deduplicated": true
    }
  ],
  "total": 1,
  "limit": 50,
  "offset": 1
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Request-Id
string

Optional client request ID. Echoed back on response.

Query Parameters

status
enum<string>
Available options:
pending,
active,
awaiting_approval,
completed,
failed,
cancelled
limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

Paginated actions

data
object[]
required
total
integer
required
Required range: x >= 0
limit
integer
required
Required range: 1 <= x <= 100
offset
integer
required
Required range: x >= 0